## visad
Class CommonUnit

    java.lang.Object
      visad.CommonUnit

public class CommonUnit
extends Object

CommonUnit is a class for commonly used Units

Field Summary
`static Unit` `degree` CommonUnit for plane angle, not temperature
`static Unit` `dimensionless` CommonUnit for all BaseUnits with exponent = zero
`static Unit` `meter` CommonUnit for length
`static Unit` `meterPerSecond` CommonUnit for speed
`static Unit` `promiscuous` promiscuous is compatible with any Unit; useful for constants; not the same as null Unit, which is only compatible with other null Units; not the same as dimensionless, which is not compatible with other Units for addition and subtraction
`static Unit` `radian` CommonUnit for plane angle
`static Unit` `second` CommonUnit for time
`static Unit` `secondsSinceTheEpoch` CommonUnit for seconds since the Epoch (i.e.

Constructor Summary
`CommonUnit()`

Method Summary
`static void` `main(String[] args)` Test this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### degree

    public static Unit degree

  CommonUnit for plane angle, not temperature

### radian

    public static Unit radian

  CommonUnit for plane angle

### second

    public static Unit second

  CommonUnit for time

### meter

    public static Unit meter

  CommonUnit for length

### meterPerSecond

    public static Unit meterPerSecond

  CommonUnit for speed

### secondsSinceTheEpoch

    public static Unit secondsSinceTheEpoch

  CommonUnit for seconds since the Epoch (i.e. 1970-01-01 00:00:00Z)

### dimensionless

    public static Unit dimensionless

  CommonUnit for all BaseUnits with exponent = zero

### promiscuous

    public static Unit promiscuous

  promiscuous is compatible with any Unit; useful for constants; not the same as null Unit, which is only compatible with other null Units; not the same as dimensionless, which is not compatible with other Units for addition and subtraction

Constructor Detail

### CommonUnit

    public CommonUnit()

Method Detail

### main

    public static void main(String[] args)
                     throws UnitException

  Test this class.

  Parameters:
    `args` - Arguments (ignored).
  Throws:
    `UnitException` - A problem occurred.